Bug 243869 - Sometimes when deleting messages, next message becomes blank and gets date in 1969
Sometimes when deleting messages, next message becomes blank and gets date in...
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Depends On:
  Show dependency treegraph
Reported: 2007-06-12 10:20 EDT by Bryan Che
Modified: 2008-05-16 19:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-16 19:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 434105 None None None Never

  None (edit)
Description Bryan Che 2007-06-12 10:20:48 EDT
Description of problem:

I use thunderbird with an imap account.  Often, when I start thunderbird, it
will show an empty inbox and have to re-download all of my mail messages.  As I
have thousands of e-mails in my inbox, this takes a really long time.

Version-Release number of selected component (if applicable):

How reproducible:
intermittent, not that reproducible

Steps to Reproduce:
1.close thunderbird
2.start thunderbird
Actual results:
inbox is empty

Expected results:
inbox has messages previously downloaded

Additional info:
Comment 1 Christopher Aillon 2007-06-13 13:56:00 EDT
Huh.  That's rather odd.  Not every time?  Thunderbird shut down properly?
Comment 2 Bryan Che 2007-06-13 14:03:19 EDT
It is an intermittent error.  I have seen this occur after having some issues
with thunderbird (i.e. an intermittent loss of internet or a crash).  But, I
have also seen it after closing thunderbird and confirming that the thunderbird
process is not running before I logout.

I have also run into another issue which may or may not be related: Often, when
deleting an e-mail message, the next e-mail message becomes blank and shows a
date of 1969.  If I open a different folder and then go back to my inbox, the
blank message is ok again.
Comment 3 Christopher Aillon 2007-06-14 02:13:17 EDT
Does a restart of thunderbird fix it?
Comment 4 Bryan Che 2007-06-14 09:15:45 EDT
No, a restart of thunderbird doesn't fix these issues.  The messages are really
Comment 5 Matěj Cepl 2008-02-22 12:05:21 EST
Bryan, can you still reproduce this with the current update of Thunderbird in
your distro?
Comment 6 Bryan Che 2008-02-22 13:31:20 EST
I am now running thunderbird- on Fedora 8 and still have problems.
 I haven't lost my entire inbox, but I have had the same errors while deleting
messages.  Also, another bug in Fedora 8: when I launch Thunderbird, Thunderbird
no longer prompts me for passwords to my inboxes.  I have to click on each
individual mail account in Thunderbird to have it prompt me for a password for
that account.
Comment 7 Matěj Cepl 2008-02-25 16:27:13 EST
OK, let’s make a little order in this bug -- if I understand correctly, then the
bug which is in the summary (TB losing inbox) went away, right? So, I am
renaming this bug to “Sometimes when deleting messages, next message becomes
blank and gets date in 1969" and I would like to ask you to file a bug “TB
doesn’t ask for passwords on startup” (or something like that), please.

Thank you very much
Comment 8 Matěj Cepl 2008-04-10 05:42:09 EDT
Reporter, are you able to reproduce this bug on the latest upgrade of your

If you won't reply in one month, I will have to close this bug as
Comment 9 Bryan Che 2008-04-10 10:16:19 EDT
I still have this problem.
Comment 10 Matěj Cepl 2008-05-06 14:09:16 EDT
you mean both problems, or which one? and you have filed a bug as asked in
comment 7? Thank you.
Comment 11 Matěj Cepl 2008-05-06 14:10:08 EDT
and of course which release of thunderbird you are using now?
Comment 12 Bryan Che 2008-05-13 09:35:30 EDT
I still see the problem with the next message becoming blank when deleting a
message.  This occurs with thunderbird-
Comment 13 Bug Zapper 2008-05-14 09:01:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bryan Che 2008-05-16 08:31:53 EDT
I still see this problem on Fedora 9 with thunderbird-
Comment 15 Matěj Cepl 2008-05-16 19:20:27 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=434105) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.